---
updatedAt: 2025-06-02T21:48:13.000Z
agentTools:
  projectIndex: https://developers.evrythng.com/llms.txt
---

# Me

The `Me` API allows Operators to retrieve their own access details for a given account using their access API keys. This is available for almost all roles for any Operators with a valid API key.\
Dashboards and Apps that need to make operations on behalf of Operators can adjust feature restrictions based on the caller's access retrieved through this endpoint.

***

**API Status**\
General Availability:\
`/me`

To retrieve their own access details for a given account, operators can reach the  `/me` API  using their access API key. This is available for almost all roles for any Operators with a valid API key and will return the current Operator access details, including their restrictions and detailed roles.

Reads and returns account operator access and inline policies based on the caller's API key.

```http
GET /me
Authorization: $OPERATOR_API_KEY
```
```curl
curl -i \
  -H Authorization:$OPERATOR_API_KEY \
  -X GET https://api.evrythng.io/v2/me
```

```http Response
HTTP/1.1 200 OK
Content-Type: application/json

{
  "id": "Ud6TycDekE5afp6M8QAEEMhp",
  "operator": "123932QJ1235823412S741WG4",
  "name": "first last",
  "email": "operator@email.com",
  "description": "access description",
  "policies": [
    {
      "name": "FactoryAdministratorPolicy",
      "description": "Description of FactoryAdministratorPolicy",
      "permissions": [
        "actions:create",
        "places:list,read,update",
        "operatorAccess:list,read,update",
        "products:list,read",
        "purchaseOrders:list,read",
        "thngs:read"
      ],
      "uiPermissions": [
        "activation",
        "authenticate"
      ],
      "homepage": "authenticate",
      "identifiers": {
        "ean": "aen232032"
      },
      "tags": [
        "roles",
        "and",
        "permissions"
      ]
    },
    {
      "name": "BrandProtector",
      "permissions": [
        "actions:create",
        "products:list,read",
        "purchaseOrders:list,read",
        "thngs:read"
      ],
      "uiPermissions": [
        "brandProtection",
        "authenticate"
      ],
      "homepage": "brandProtection"
    }
  ],
  "conditions": [
    "places:UPBCycCpgVGArgYc5y5UnkAg"
  ]
}
```

***